import { HcApi } from '../request/index'

//用户配置保存
export const userConfigSave = (form, msg = true) => HcApi({
    url: '/api/blade-business/defaultConfig/saveOrUpdate',
    method: 'post',
    data: form,
}, msg)

//用户配置详情
export const userConfigInfo = (form = {}, msg = true) => HcApi({
    url: '/api/blade-business/defaultConfig/detail',
    method: 'get',
    params: form,
}, msg)

//获取更新信息
export const getVersionJson = () => HcApi({
    url: 'version.json?time=' + new Date().getTime(),
    method: 'get',
}, false)

//获取项目下的合同段信息
export const getContractInfo = (form, msg = true) => HcApi({
    url: '/api/blade-manager/contractInfo/get-contractInfo',
    method: 'get',
    params: form,
}, msg)
