export default [
    {
        path: '/',
        name: 'home',
        meta: { title: '首页' },
        component: () => import('~src/views/index.vue'),
    },
    {
        path: '/auth',
        name: 'auth',
        meta: { title: '授权登录' },
        component: () => import('~src/views/auth.vue'),
    },
    {
        path: '/404',
        name: '404',
        meta: { title: '404' },
        component: () => import('~src/error/404.vue'),
    },
    {
        path: '/:path(.*)*',
        redirect: '/404',
    },
]
